use Kba;
db.createCollection("joueurs")
//document 1
db.joueurs.insertOne(
        {
            "_id": 1,
            "alias":"primogene",
            "solde": 1000,
                        "mechant" : 
                        {"nom":"la bête",
                         "force": "trés fort",  
                         "arme": "feu"
                        }       
        }
)

db.joueurs.insertOne(
        {
            "_id": 2,
            "alias":"patoche",
            "solde": 800,
                        "mechant" : 
                        {"nom":"la bête",
                         "force": "trés fort",  
                         "arme": "feu"
                        }
        
        }
)

db.joueurs.insertOne(
        {
            "_id": 3,
            "alias":"simba",
            "solde": 1200,
                        "mechant" : 
                        {"nom":"orc",
                         "force": "trés fort",  
                         "arme": "épée"
                        }
        
        }
)

db.joueurs.insertOne(
        {
            "_id": 4,
            "alias":"piwi",
            "solde": 1000,
                        "mechant" : 
                        {"nom":"orc",
                         "force": "trés fort",  
                         "arme": "feu"
                       }   
        }
)

db.joueurs.insertOne(
        {
            "_id": 5, 
            "alias":"Tigris",
            "solde": 800,
                        "mechant" : 
                        {"nom":"ogopogo",
                         "force": "trés très fort",  
                         "arme": "feu"
                        }
        
        }
)

db.joueurs.find();

db.joueurs.find({"alias":"Tigris"});

db.joueurs.find({"mechant.nom":"orc"})

